package com.ningdatech.kqapi.admin.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * ZoneSaveReq
 * </p>
 *
 * @author WendyYang
 * @since 13:25 2024/4/20
 */
@Data
public class ZoneSaveReq {

    @ApiModelProperty("专区ID")
    private Integer id;

    @ApiModelProperty("专区名称")
    @NotBlank(message = "专区名称不能为空")
    private String zoneName;

    @ApiModelProperty("专区图标")
    @NotBlank(message = "专区图标不能为空")
    private String zoneIcon;

}
