package com.ningdatech.kqapi.admin.model.vo;

import com.ningdatech.file.entity.vo.result.FileResultVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * WebMatterDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 14:42 2024/4/23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class WebMatterDetailVO extends MatterDetailDTO {

    @ApiModelProperty("宣传材料访文件信息")
    private List<FileResultVO> publicityMaterialsFiles;

}
