package com.ningdatech.kqapi.admin.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * WindowDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 13:47 2024/4/20
 */
@Builder
@Data
public class WindowDetailVO {

    @ApiModelProperty("窗口ID")
    private Integer id;

    @ApiModelProperty("窗口名称")
    private String windowName;

    @ApiModelProperty("专区ID")
    private Integer zoneId;

    @ApiModelProperty("专区名称")
    private String zoneName;

    @ApiModelProperty("事项数量")
    private Integer itemCount;

}
