package com.ningdatech.kqapi.common.model;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

/**
 * <p>
 * PagePo - 分页请求参数类
 * </p>
 *
 * @author WendyYang
 * @since 16:29 2022/9/14
 */
@Data
public class PagePo {

    private Integer pageNumber = 1;

    private Integer pageSize = 10;

    public void page(Integer pageNumber, Integer pageSize) {
        this.pageNumber = pageNumber;
        this.pageSize = pageSize;
    }

    public <T> Page<T> page() {
        return Page.of(pageNumber, pageSize);
    }

}
