package com.ningdatech.kqapi.user.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * UserAuth
 * </p>
 *
 * @author WendyYang
 * @since 09:57 2024/4/20
 */
@Data
@TableName("nd_user_auth")
@ApiModel(value = "UserAuth对象")
public class UserAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    private Long userId;

    private String authType;

    private String identifier;

    private String credential;

}
