package com.ningdatech.kqapi.user.model.po;

import com.ningdatech.kqapi.user.model.enumerization.AccountStatus;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * ChangeAccountStatusReq
 * </p>
 *
 * @author WendyYang
 * @since 2023/7/21
 **/
@Data
public class ChangeAccountStatusReq {

    @ApiModelProperty("用户ID")
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    @ApiModelProperty("账号状态")
    @NotNull(message = "账号状态不能为空")
    private AccountStatus accountStatus;

}
