package com.ningdatech.kqapi.zzsfw.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.security.Timestamp;

// ComponentsMatterEliminateEntity.java
@Data
@TableName("components_matter_eliminate")
public class ComponentsMatterEliminateEntity {

    /**
     * 事项名称剔除表,主要剔除事项url报错404链接
     */

    @ApiModelProperty("id主键")
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 组件名称
     */
    private String qlName;

    /**
     * 剔除时间
     */
    private Timestamp eliminateTime;

    /**
     * 剔除标识，0未剔除，1已剔除
     */
    private String isDelete;

    public ComponentsMatterEliminateEntity(String qlName,String isDelete) {
        this.qlName = qlName;
        this.isDelete = isDelete;
    }
}

