package com.ningdatech.kqapi.zzsfw.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 事项
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Data
@ApiModel(value = "MatterTopVO", description = "事项top")
public class MatterTopVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("事项名称")
    private String matterName;

    @ApiModelProperty("事项链接")
    private String webapplyurl;

    @ApiModelProperty("数量")
    private Integer count;
}
